Bug 802379 - Anomaly in mbind memory map causing Java Hotspot JVM Seg fault with NUMA aware ParallelScavange GC [rhel-6.2.z]
Summary: Anomaly in mbind memory map causing Java Hotspot JVM Seg fault with NUMA awar...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.3
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Frantisek Hrbata
QA Contact: Petr Beňas
URL:
Whiteboard:
Depends On: 727700
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-03-12 12:27 UTC by RHEL Program Management
Modified: 2015-01-04 23:02 UTC (History)
15 users (show)

Fixed In Version: kernel-2.6.32-220.11.1.el6
Doc Type: Bug Fix
Doc Text:
An anomaly in the memory map created by the mbind() function caused a segmentation fault in Hotspot Java Virtual Machines with the NUMA-aware Parallel Scavenge garbage collector. A backported upstream patch that fixes mbind() has been provided and the crashes no longer occur in the described scenario.
Clone Of:
Environment:
Last Closed: 2012-04-17 18:57:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0481 normal SHIPPED_LIVE Moderate: kernel security, bug fix, and enhancement update 2012-04-17 22:53:24 UTC

Description RHEL Program Management 2012-03-12 12:27:54 UTC
This bug has been copied from bug #727700 and has been proposed
to be backported to 6.2 z-stream (EUS).

Comment 8 Petr Beňas 2012-03-27 11:54:19 UTC
Reproduced in 2.6.32-220.10.1.el6.x86_64 and verified in 2.6.32-220.11.1.el6.x86_64.

Comment 9 Tomas Capek 2012-04-10 15:20:40 UTC
IBM, can you please check that the description the Technical Notes field is accurate and specific enough?

Comment 10 Tomas Capek 2012-04-10 15:20:41 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
An anomaly in the memory map created by the mbind() function caused a segmentation fault in Hotspot Java Virtual Machines with the NUMA-aware Parallel Scavenge garbage collector. A backported upstream patch that fixes mbind() has been provided and the crashes no longer occur in the described scenario.

Comment 11 errata-xmlrpc 2012-04-17 18:57:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0481.html


Note You need to log in before you can comment on or make changes to this bug.